// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/type/bank.proto

package bank

import (
	address "gitlab.ethz.ch/vseth/0403-isg/libraries/protostub-golang/vseth/type/address"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type BankAccount struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// the address of the account holder
	AccountHolderAddress *address.PostalAddress `protobuf:"bytes,1,opt,name=account_holder_address,json=accountHolderAddress,proto3" json:"account_holder_address,omitempty"`
	// the name of the bank
	BankName string `protobuf:"bytes,2,opt,name=bank_name,json=bankName,proto3" json:"bank_name,omitempty"`
	// the account BIC
	Bic string `protobuf:"bytes,3,opt,name=bic,proto3" json:"bic,omitempty"`
	// the account IBAN
	Iban string `protobuf:"bytes,4,opt,name=iban,proto3" json:"iban,omitempty"`
	// the name of the account holder
	AccountHolderName string `protobuf:"bytes,5,opt,name=account_holder_name,json=accountHolderName,proto3" json:"account_holder_name,omitempty"`
}

func (x *BankAccount) Reset() {
	*x = BankAccount{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_type_bank_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BankAccount) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BankAccount) ProtoMessage() {}

func (x *BankAccount) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_type_bank_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BankAccount.ProtoReflect.Descriptor instead.
func (*BankAccount) Descriptor() ([]byte, []int) {
	return file_vseth_type_bank_proto_rawDescGZIP(), []int{0}
}

func (x *BankAccount) GetAccountHolderAddress() *address.PostalAddress {
	if x != nil {
		return x.AccountHolderAddress
	}
	return nil
}

func (x *BankAccount) GetBankName() string {
	if x != nil {
		return x.BankName
	}
	return ""
}

func (x *BankAccount) GetBic() string {
	if x != nil {
		return x.Bic
	}
	return ""
}

func (x *BankAccount) GetIban() string {
	if x != nil {
		return x.Iban
	}
	return ""
}

func (x *BankAccount) GetAccountHolderName() string {
	if x != nil {
		return x.AccountHolderName
	}
	return ""
}

var File_vseth_type_bank_proto protoreflect.FileDescriptor

var file_vseth_type_bank_proto_rawDesc = []byte{
	0x0a, 0x15, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x2f, 0x62, 0x61, 0x6e,
	0x6b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x74,
	0x79, 0x70, 0x65, 0x1a, 0x18, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x2f,
	0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xd1, 0x01,
	0x0a, 0x0b, 0x42, 0x61, 0x6e, 0x6b, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x4f, 0x0a,
	0x16, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5f, 0x68, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x5f,
	0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x2e, 0x50, 0x6f, 0x73, 0x74, 0x61,
	0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x52, 0x14, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x48, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x1b,
	0x0a, 0x09, 0x62, 0x61, 0x6e, 0x6b, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x08, 0x62, 0x61, 0x6e, 0x6b, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x62,
	0x69, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x62, 0x69, 0x63, 0x12, 0x12, 0x0a,
	0x04, 0x69, 0x62, 0x61, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x69, 0x62, 0x61,
	0x6e, 0x12, 0x2e, 0x0a, 0x13, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5f, 0x68, 0x6f, 0x6c,
	0x64, 0x65, 0x72, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11,
	0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x48, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d,
	0x65, 0x42, 0x60, 0x0a, 0x12, 0x63, 0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x74, 0x79,
	0x70, 0x65, 0x2e, 0x62, 0x61, 0x6e, 0x6b, 0x50, 0x01, 0x5a, 0x48, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f,
	0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69,
	0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c,
	0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x2f, 0x62,
	0x61, 0x6e, 0x6b, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_type_bank_proto_rawDescOnce sync.Once
	file_vseth_type_bank_proto_rawDescData = file_vseth_type_bank_proto_rawDesc
)

func file_vseth_type_bank_proto_rawDescGZIP() []byte {
	file_vseth_type_bank_proto_rawDescOnce.Do(func() {
		file_vseth_type_bank_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_type_bank_proto_rawDescData)
	})
	return file_vseth_type_bank_proto_rawDescData
}

var file_vseth_type_bank_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_vseth_type_bank_proto_goTypes = []interface{}{
	(*BankAccount)(nil),           // 0: vseth.type.BankAccount
	(*address.PostalAddress)(nil), // 1: vseth.type.PostalAddress
}
var file_vseth_type_bank_proto_depIdxs = []int32{
	1, // 0: vseth.type.BankAccount.account_holder_address:type_name -> vseth.type.PostalAddress
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_vseth_type_bank_proto_init() }
func file_vseth_type_bank_proto_init() {
	if File_vseth_type_bank_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_type_bank_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BankAccount); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_type_bank_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_vseth_type_bank_proto_goTypes,
		DependencyIndexes: file_vseth_type_bank_proto_depIdxs,
		MessageInfos:      file_vseth_type_bank_proto_msgTypes,
	}.Build()
	File_vseth_type_bank_proto = out.File
	file_vseth_type_bank_proto_rawDesc = nil
	file_vseth_type_bank_proto_goTypes = nil
	file_vseth_type_bank_proto_depIdxs = nil
}
